﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using ADONetServices.ServiceReference1;
using System.Data.Services.Client;

namespace ADONetServices
{
    public partial class Page : UserControl
    {
        public Page()
        {
            InitializeComponent();
            Loaded += new RoutedEventHandler(Page_Loaded);
        }

        void Page_Loaded(object sender, RoutedEventArgs e)
        {
            CompanyContext ctx = 
                new CompanyContext(new Uri("Service.svc", UriKind.Relative));

            var qry = (from c in ctx.Companies
                       where c.Name.StartsWith("C")
                      select c) as DataServiceQuery<Company>;

            qry.BeginExecute(ourCallback, qry);

        }

        public void ourCallback(IAsyncResult result)
        {
            //ERROR CHEcking...

            DataServiceQuery<Company> qry = result.AsyncState
                as DataServiceQuery<Company>;

            IEnumerable<Company> companies = qry.EndExecute(result);

            OurListBox.ItemsSource = companies;
        }
    }
}
