﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Windows.Browser;

namespace HtmlInteraction
{
    public partial class Page : UserControl
    {
        public Page()
        {
            InitializeComponent();
            MouseEnter += new MouseEventHandler(Page_MouseEnter);
            MouseLeave += new MouseEventHandler(Page_MouseLeave);
        }

        void Page_MouseLeave(object sender, MouseEventArgs e)
        {
            HtmlElement element = HtmlPage.Document.GetElementById("theBody");
            element.SetStyleAttribute("backgroundColor", "#000000");
        }

        void Page_MouseEnter(object sender, MouseEventArgs e)
        {
            HtmlElement element = HtmlPage.Document.GetElementById("theBody");
            element.SetStyleAttribute("backgroundColor", "#FFFFFF");

            
        }
    }
}
